tic
broj_tacaka=1000;

tacke=rand(1,broj_tacaka);
uzorak=tacke.^2;
integral=sum(uzorak)/broj_tacaka;
greska=sqrt(var(uzorak)/broj_tacaka);
%%% simpsonova metoda
xosa=(0:broj_tacaka)/broj_tacaka;
simpson_integral=(sum(4*xosa(2:2:broj_tacaka-1).^2)+sum(2*xosa(3:2:broj_tacaka).^2)+xosa(1).^2+xosa(broj_tacaka+1).^2)/(3*(broj_tacaka-1));

fprintf ( 1, 'Vrednost integrala MC metodom je: %f+-%f \n', integral,greska);
fprintf ( 1, 'Vrednost integrala Simpsonovom metodom je: %f \n', simpson_integral);
toc
